#ifndef __NLSH_ARGS_H_INCLUDED__
#define __NLSH_ARGS_H_INCLUDED__

int get_argc(char *argv[]);
char **make_argv(char *line);
char **make_argv_punc(char *line);
char **make_argv_equal(char *line);
char **add_argv(char *argv[], char *arg);
char *free_argv(char *argv[]);
int search_argv(char *argv[], char *arg);
int rsearch_argv(char *argv[], char *arg);
char **insert_argv(char *argv[], int pos, char *arg);
char **extract_argv(char *argv[], int pos, int num);
int delete_argv(char *argv[], int pos, int num);

#endif
